<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BroomBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d92/class_broom_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">BroomBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BroomBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d92/class_broom_base.png" usemap="#BroomBase_map" alt=""/>
  <map id="BroomBase_map" name="BroomBase_map">
<area href="../../d1/d00/class_flammable_base.html" alt="FlammableBase" shape="rect" coords="0,0,100,24"/>
<area href="../../d3/d55/class_broom___birch.html" alt="Broom_Birch" shape="rect" coords="0,112,100,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a931ca53d694ed140f586cdd65a9095a3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a931ca53d694ed140f586cdd65a9095a3">Init</a> ()</td></tr>
<tr class="separator:a931ca53d694ed140f586cdd65a9095a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d88ca3d2ad6368e9e3533e72aaac39"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a52d88ca3d2ad6368e9e3533e72aaac39">SetActions</a> ()</td></tr>
<tr class="separator:a52d88ca3d2ad6368e9e3533e72aaac39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45477ab3de5b80f9a615f2ba6778533b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a45477ab3de5b80f9a615f2ba6778533b">CanReceiveUpgrade</a> ()</td></tr>
<tr class="separator:a45477ab3de5b80f9a615f2ba6778533b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b6a1befd337bbca25c9f91db7ec6461"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a9b6a1befd337bbca25c9f91db7ec6461">OnWorkStart</a> ()</td></tr>
<tr class="separator:a9b6a1befd337bbca25c9f91db7ec6461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34972aba2cfd04a48b8bb229b5bc5838"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a34972aba2cfd04a48b8bb229b5bc5838">ApplyResultModifications</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> result)</td></tr>
<tr class="separator:a34972aba2cfd04a48b8bb229b5bc5838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb5d5256c4e9b005f9f3e0bae0fb1381"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#afb5d5256c4e9b005f9f3e0bae0fb1381">CanTransformIntoStick</a> ()</td></tr>
<tr class="separator:afb5d5256c4e9b005f9f3e0bae0fb1381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540de48a09f593a45c0f7c738caa3270"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a540de48a09f593a45c0f7c738caa3270">EEHitBy</a> (<a class="el" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a> damageResult, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> damageType, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> dmgZone, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammo, <a class="el" href="../../d7/dfc/classvector.html">vector</a> modelPos, <a class="el" href="../../d4/dc3/classfloat.html">float</a> speedCoef)</td></tr>
<tr class="separator:a540de48a09f593a45c0f7c738caa3270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f2da4ffa9d140534e1ce7d4dd9b37e2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a6f2da4ffa9d140534e1ce7d4dd9b37e2">CalculateQuantity</a> ()</td></tr>
<tr class="separator:a6f2da4ffa9d140534e1ce7d4dd9b37e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebe5566f8cd3262ee67dc73a0ff3810b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#aebe5566f8cd3262ee67dc73a0ff3810b">UpdateParticle</a> ()</td></tr>
<tr class="separator:aebe5566f8cd3262ee67dc73a0ff3810b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd671288448600d23218ee0cf7b40b61"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">DebugSetHealthAndEnergy</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:acd671288448600d23218ee0cf7b40b61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addd075512ef7d81923cbb5c7c8b1d2b6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#addd075512ef7d81923cbb5c7c8b1d2b6">GetDebugButtonNames</a> (out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button1, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button2, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button3, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button4)</td></tr>
<tr class="separator:addd075512ef7d81923cbb5c7c8b1d2b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37036594aa3d5cef0f7195a2a7a5d88d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html#a37036594aa3d5cef0f7195a2a7a5d88d">OnDebugButtonPressServer</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button_index)</td></tr>
<tr class="separator:a37036594aa3d5cef0f7195a2a7a5d88d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a34972aba2cfd04a48b8bb229b5bc5838" name="a34972aba2cfd04a48b8bb229b5bc5838"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34972aba2cfd04a48b8bb229b5bc5838">&#9670;&#160;</a></span>ApplyResultModifications()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::ApplyResultModifications </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>result</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00030">30</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a6f2da4ffa9d140534e1ce7d4dd9b37e2" name="a6f2da4ffa9d140534e1ce7d4dd9b37e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f2da4ffa9d140534e1ce7d4dd9b37e2">&#9670;&#160;</a></span>CalculateQuantity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::CalculateQuantity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00053">53</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a45477ab3de5b80f9a615f2ba6778533b" name="a45477ab3de5b80f9a615f2ba6778533b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45477ab3de5b80f9a615f2ba6778533b">&#9670;&#160;</a></span>CanReceiveUpgrade()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BroomBase::CanReceiveUpgrade </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00019">19</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="afb5d5256c4e9b005f9f3e0bae0fb1381" name="afb5d5256c4e9b005f9f3e0bae0fb1381"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb5d5256c4e9b005f9f3e0bae0fb1381">&#9670;&#160;</a></span>CanTransformIntoStick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BroomBase::CanTransformIntoStick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00036">36</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="acd671288448600d23218ee0cf7b40b61" name="acd671288448600d23218ee0cf7b40b61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd671288448600d23218ee0cf7b40b61">&#9670;&#160;</a></span>DebugSetHealthAndEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BroomBase::DebugSetHealthAndEnergy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00086">86</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a540de48a09f593a45c0f7c738caa3270" name="a540de48a09f593a45c0f7c738caa3270"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a540de48a09f593a45c0f7c738caa3270">&#9670;&#160;</a></span>EEHitBy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::EEHitBy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a>&#160;</td>
          <td class="paramname"><em>damageResult</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>damageType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>component</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>dmgZone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>modelPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>speedCoef</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00045">45</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="addd075512ef7d81923cbb5c7c8b1d2b6" name="addd075512ef7d81923cbb5c7c8b1d2b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addd075512ef7d81923cbb5c7c8b1d2b6">&#9670;&#160;</a></span>GetDebugButtonNames()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::GetDebugButtonNames </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button4</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00094">94</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a931ca53d694ed140f586cdd65a9095a3" name="a931ca53d694ed140f586cdd65a9095a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a931ca53d694ed140f586cdd65a9095a3">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a37036594aa3d5cef0f7195a2a7a5d88d" name="a37036594aa3d5cef0f7195a2a7a5d88d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37036594aa3d5cef0f7195a2a7a5d88d">&#9670;&#160;</a></span>OnDebugButtonPressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::OnDebugButtonPressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button_index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00103">103</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a9b6a1befd337bbca25c9f91db7ec6461" name="a9b6a1befd337bbca25c9f91db7ec6461"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b6a1befd337bbca25c9f91db7ec6461">&#9670;&#160;</a></span>OnWorkStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::OnWorkStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00024">24</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a52d88ca3d2ad6368e9e3533e72aaac39" name="a52d88ca3d2ad6368e9e3533e72aaac39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52d88ca3d2ad6368e9e3533e72aaac39">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00011">11</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="aebe5566f8cd3262ee67dc73a0ff3810b" name="aebe5566f8cd3262ee67dc73a0ff3810b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebe5566f8cd3262ee67dc73a0ff3810b">&#9670;&#160;</a></span>UpdateParticle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BroomBase::UpdateParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00067">67</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/Gear/Tools/<a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d92/class_broom_base.html">BroomBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
